{% extends 'videohostingapp/base.html' %}

{% block content %}
<section class="section mt-6">
    <div class="columns">
        <div class="column box is-4 is-offset-4">
            <form action="{% url 'signup' %}" method="POST">
                {% csrf_token %}
                <div class="field mx-5">
                    <label class="label">{{form.first_name.label}}</label>
                    <div class="control">
                        <span class="is-info">{{form.first_name}}</span>
                    </div>
                </div>
                <div class="field mx-5">
                    <label class="label">{{form.last_name.label}}</label>
                    <div class="control">
                        <span class="is-info">{{form.last_name}}</span>
                    </div>
                </div>
                <div class="field mx-5">
                    <label class="label">{{form.username.label}}</label>
                    <div class="control has-icons-right">
                        <span class="is-info">{{form.username}}</span>
                        <span class="icon is-small is-right">
                            <i class="fa fa-user"></i>
                        </span>
                    </div>
                </div>
                <div class="field mx-5">
                    <label class="label">{{form.email.label}}</label>
                    <div class="control has-icons-right">
                        <span class="is-info">{{form.email}}</span>
                        <span class="icon is-small is-right">
                            <i class="fa fa-envelope"></i>
                        </span>
                    </div>
                </div>
                <div class="field mx-5">
                    <label class="label">{{form.password1.label}}</label>
                    <div class="control has-icons-right">
                        <span class="is-info">{{form.password1}}</span>
                        <span class="icon is-small is-right">
                            <i class="fa fa-lock"></i>
                        </span>
                    </div>
                </div>
                <div class="field mx-5">
                    <label class="label">{{form.password2.label}}</label>
                    <div class="control has-icons-right">
                        <span class="is-info">{{form.password2}}</span>
                        <span class="icon is-small is-right">
                            <i class="fa fa-lock"></i>
                        </span>
                    </div>
                </div>
                <div class="field is-grouped ml-3">
                    <div class="control">
                        <button type="submit" class="button  is-rounded is-link">Sign Up</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</section>
{% endblock %}